ifhp (3.5.20-17) unstable; urgency=medium

  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 13:43:32 +0800

ifhp (3.5.20-16) unstable; urgency=medium

  * QA upload.
  * Fix FTBFS due to strncpy. Closes: #891556.

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 05 Aug 2018 12:44:49 +0200

ifhp (3.5.20-15) unstable; urgency=medium

  * QA upload.
  * Fix FTBFS due to -Werror and -Wimplicit-fallthrough. Closes: #853450.

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 22 Aug 2017 02:04:27 +0200

ifhp (3.5.20-14) unstable; urgency=medium

  [ Adam Borowski ]
  * QA upload.
  * Bump debhelper to 9.
  * Pass hardening flags.

  [ Miriam Ruiz ]
  * Added patch to make it buildable with GCC 6. Closes: #811591

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 04 Aug 2016 07:25:37 +0200

ifhp (3.5.20-13) unstable; urgency=medium

  [HIGUCHI Daisuke (VDR dai)]

  * QA upload.
  * Set the Maintainer field to Debian QA Group (see: #721055)
    Thanks Thomas Bushnell, BSG <tb@debian.org> for the previous works.

  [Andreas Moog]

  * Fix FTBFS with gcc4.8 by removing the warning about unused parameters 
    during compilation. (Closes: #701296)
    - Add -Wno-unused-parameter to CFLAGS
    - make $CFLAGS known to the build environment
  * Add patch from Ubuntu/Colin Watson to fix transposed arguments to memset 
    and to use Write_fd_str/Write_fd_len rather than plain write when writing
    the status file. (Closes: #592230)
  * Add build-arch and build-indep targets

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Fri, 09 May 2014 21:38:55 +0900

ifhp (3.5.20-12.1) unstable; urgency=low

  [Jari Aalto]
  * Non-maintainer upload.
    - Move to packaging format "3.0 (quilt)"
  * debian/changelog
    - Delete EOL whitespaces
  * debian/compat
    - Update to 7.
  * debian/control
    - (Build-Depends): update obsolete gs to ghostscript.
      (important; Closes: #539663).
      Update to debhelper 7.1.
    - (Homepage): Update to Freshmeat.
    - (Maintainer): Set to QA Group.
    - (Standards-Version): Update to 3.8.4.
  * debian/copyright
    - Fix lintian copyright-without-copyright-notice.
  * debian/doc-base
    - (Section): Update obsolete Printing to Office.
  * debian/patches
    - (Number 10): New. Fix syntax error; missing quote.
    - (Number 30): New. Pull out all Debian changes so far and Fix hp1100
      part of configuration file. Patch thanks to Holger Klawitter
      <lists@klawitter.de>. (Closes: #492685).
  * debian/{postinst,config}
    - Fix Lintian maintainer-script-ignores-errors.
  * debian/rules
    - (install): Update dh_clean to dh_prep.
  * debian/source/format
    - New file.

 -- Jari Aalto <jari.aalto@cante.net>  Mon, 17 May 2010 07:08:39 +0300

ifhp (3.5.20-12) unstable; urgency=low

  * debian/changelog (3.5.20-11): Wrap over-long line.

 -- Thomas Bushnell, BSG <tb@debian.org>  Mon, 21 Jan 2008 14:56:31 -0500

ifhp (3.5.20-11) unstable; urgency=low

  * debian/rules (clean): Don't ignore all errors on recursive make invocation.

  * debian/control (Standards-Version): Update to 3.7.3.  (No changes needed.)

  * debian/ifhp.lintian-overrides: New file.  Don't pay attention to
    no-debconf-templates.  Our debian/config file manages an upgrade issue
    but does not actually prompt the user.
  * debian/rules (install): And install it as
    /usr/share/lintian/overrides/ifhp.

  * debian/rules (install): Remove (empty) usr/bin directory.

 -- Thomas Bushnell, BSG <tb@debian.org>  Wed, 16 Jan 2008 16:00:48 -0500

ifhp (3.5.20-10) unstable; urgency=low

  * debian/po: Remove directory and all contents. (Closes: #407219)

 -- Thomas Bushnell, BSG <tb@debian.org>  Tue,  6 Feb 2007 11:41:09 -0800

ifhp (3.5.20-9) unstable; urgency=low

  * debian/control (Standards-Version): Update to 3.7.2.

  * debian/compat: Update to 5.

  * debian/templates: Remove file (only contained an inappropriate note).

 -- Thomas Bushnell, BSG <tb@debian.org>  Sun,  8 Oct 2006 18:05:49 -0700

ifhp (3.5.20-8) unstable; urgency=high

  * debian/rules (install): Use $(CURDIR) instead of $(PWD) because some
    archs refuse to set proper environment variables.  Thanks to Niko
    Tyni <ntyni@iki.fi> for the fix.  (Closes: #390383)

 -- Thomas Bushnell, BSG <tb@debian.org>  Sun,  1 Oct 2006 20:07:50 -0700

ifhp (3.5.20-7) unstable; urgency=low

  * src/plp_snprintf.c (fmtquad, fmtdouble): Don't use safestrlen for a
    known-safe constant value, to avoid GCC 4.2 warning that FTBFS with
    -Werror.  (Closes: #361576)

 -- Thomas Bushnell, BSG <tb@debian.org>  Mon, 11 Sep 2006 22:25:22 -0700

ifhp (3.5.20-6) unstable; urgency=low

  * debian/copyright: Don't include old maintainer's name as the current
    one.

  * debian/rules (configure): Specify correct Debian value for DEVFD, that
    is, /proc/self/fd/3.  (Closes: #222176)

  * debian/docs: Include pdf and html documentation.
  * debian/doc-base: New file.
  Patch from Andrey Mitrofanov <abme@rambler.ru>.  (Closes: #330499)

  * debian/README.Debian: Correct name of ifhp documentation file.
  Patch from Andrey Mitrofanov <abme@rambler.ru>.

  * ifhp.conf.in (hp6l hp1100): Specify better options.
  Patch from Brendan O'Dea <bod@debian.org>.  (Closes: #236567)

  * ifhp.conf.in (gs_ljet4): Don't comment out pcl_gs converter spec.
    (Closes: #257485)

  * src/ifhp.c (Send_job): When setting language from Use_file_util(),
    correctly test to see whether Use_file_util succeeded.  (Closes: #361576)

  * po/cs.po: New file, thanks to Martin \u0160ín <martin.sin@seznam.cz>
    (Closes: #315206)

  * po/sv.po: New file, thanks to Daniel Nylander <yeager@lidkoping.net>.
    (Closes: #331524)

 -- Thomas Bushnell, BSG <tb@debian.org>  Sun, 28 May 2006 22:05:22 -0700

ifhp (3.5.20-5) unstable; urgency=low

  * debian/control: Use ${misc:Depends} in place of explicit dependency on
    debconf.  (Closes: #331852)

 -- Thomas Bushnell, BSG <tb@debian.org>  Wed,  5 Oct 2005 00:06:41 -0700

ifhp (3.5.20-4) unstable; urgency=low

  * debian/control (Maintainer): Actually set myself as maintainer.
  Really (Closes: #323471)

 -- Thomas Bushnell, BSG <tb@debian.org>  Wed, 21 Sep 2005 13:50:12 -0700

ifhp (3.5.20-3) unstable; urgency=low

  * Adopt package.  (Closes: #323471)
  * Thanks for all your work, Jens.

 -- Thomas Bushnell, BSG <tb@debian.org>  Fri,  2 Sep 2005 15:31:39 -0700

ifhp (3.5.20-2) unstable; urgency=low

  * Removed obsolete doc-base entry (closes: Bug#308982).
  * Added the Vietnamese translation by Clytie Siddall (closes: Bug#311921).

 -- Jens Schmalzing <jensen@debian.org>  Sun, 12 Jun 2005 21:12:30 +0200

ifhp (3.5.20-1) unstable; urgency=low

  * New maintainer (closes: Bug#266467).
  * New upstream release.
  * Added build-time dependencies and suggestions for new features, namely
    foomatic filter support and printer status queries via SNMP.
  * Removed unnecessary build-time dependencies.
  * Took care of warnings and errors reported by lintian.
  * Added a small patch fixing the pjl_waitend_byjobname option.

 -- Jens Schmalzing <jensen@debian.org>  Tue, 26 Apr 2005 17:51:01 +0200

ifhp (3.5.10-3) unstable; urgency=low

  * QA upload
  * set maintainer to Debian QA Group
  * Debconf updates:
    + Catalan debconf templates translation. Closes: #236625
    + German debconf templates translation. Closes: #263027
    + Japanese debconf template translation. Closes: #258780
    + Updated danish template translation. Closes: #241251
  * Checked against newest policy,
    updated Strandards-Version (no other changes)
  * Fix the debian/clean target to really clean up
    all generated files

 -- Martin Zobel-Helas <mhelas@helas.net>  Fri,  8 Oct 2004 01:13:24 +0200

ifhp (3.5.10-2.1) unstable; urgency=low

  * Non-maintainer uploade
  * Danish debconf templates translation. Closes: #175024
  * French debconf templates translation. Closes: #182202
  * Brazilian portuguese debconf templates translation. Closes: #179373

 -- Christian Perrier <bubulle@debian.org>  Sun, 21 Dec 2003 10:48:22 +0100

ifhp (3.5.10-2) unstable; urgency=low

  * debian/templates: added -da translation (Closes: Bug#175024)

 -- Luca Filipozzi <lfilipoz@debian.org>  Sat,  4 Jan 2003 23:18:40 -0800

ifhp (3.5.10-1) unstable; urgency=low

  * New upstream release

 -- Luca Filipozzi <lfilipoz@debian.org>  Fri, 12 Jul 2002 22:51:51 -0700

ifhp (3.5.8-3) unstable; urgency=low

  * added build dependencies for gettext, sgml-tools, tetex-bin, tetex-extra,
    and autotools-dev (Closes: Bug#150311)
  * added runtime dependency on gs since ifhp uses GhostScript to convert
    files from their input format (PS, PDF, text, etc.) to PostScript for
    PostScript printers and PCL for non-PostScript printers

 -- Luca Filipozzi <lfilipoz@debian.org>  Thu, 20 Jun 2002 09:38:40 -0700

ifhp (3.5.8-2) unstable; urgency=low

  * refreshed config.sub and config.guess from /usr/share/misc to fix
    a fails to build from source bug (Closes: #149508)

 -- Luca Filipozzi <lfilipoz@debian.org>  Sun,  9 Jun 2002 20:56:19 -0700

ifhp (3.5.8-1) unstable; urgency=low

  * New upstream release

 -- Luca Filipozzi <lfilipoz@debian.org>  Sun,  2 Jun 2002 20:37:50 -0700

ifhp (3.5.7-2) unstable; urgency=low

  * debian/watch: updated to uscan version 2 format

 -- Luca Filipozzi <lfilipoz@debian.org>  Sat, 13 Apr 2002 15:37:10 -0700

ifhp (3.5.7-1) unstable; urgency=low

  * New upstream release
  * New maintainer (closes: Bug#141560)
  * lexmark4039 sync/async settings corrected (closes: Bug#92176)
  * bidirectional parallel port support added in 3.5.2 (closes: Bug#27187)
  * papersize_default option in ifhp.conf added in 3.4.3; would be nice to
    parse /etc/papersize but not necessary for proper operation of ifhp
    (closes: Bug#57272, Bug#87857)
  * (obsolete bug) additional documentation installed (closes: Bug#61748)
  * (obsolete bug) manpage not installed twice (closes: Bug#58085)
  * (obsolete bug) filters are installed into /usr/lib/filters; no other
    packaged currently uses /usr/lib/filters (closes: Bug#57572)
  * debian/doc-base: .pdf documentation registered, name changed to 'ifhp'
  * debian/rules: .PHONY directive added, configure target added
  * debian/control: description and dependencies modified
  * debian/watch: created (uses version 2 syntax)

 -- Luca Filipozzi <lfilipoz@debian.org>  Sat,  6 Apr 2002 20:45:08 -0800

ifhp (3.4.4-1) unstable; urgency=medium

  * New upstream release (closes: #71868)
  * Tag /etc/ifhp.conf as conffile (closes: #74472)
  * Move package development into CVS, hopefully closing the updating
    nightmare.
  * Repackage it from scratch since the build system changed a lot and
    fiddling with the existing scripts just does not work.
  * The upstream source does not build the info files anymore so
    documentation is only included as HTML now.
  * debian/control: Add Build-Depends and update to policy 3.2.1.
  * debian/control: Add Depends for a2ps and file since it expects to find
    those utils if they are installed at build time. Also added a
    suggestion for gs since you need it for some printers.
  * The stuff from the UTILS directory is no longer installed. Since I
    don't know what they are needed for I let it this way. If you need
    psbanner.ps, accounting.sh or banner please tell me. I guess I
    should install them as example at least...
    The ofhp link to ifhp is also gone so you might need to update your
    printcap a bit.
  * Register the HOWTO using doc-base.
  * debian/TODO: Created a TODO list.

 -- Torsten Landschoff <torsten@debian.org>  Wed, 10 Jan 2001 15:49:30 +0100

ifhp (3.3.10-3) unstable; urgency=low

  * Changed priority to "extra" since lprng is at that priority. Thanks
    to Darren O. Benham <gecko@benham.net> for telling me.

 -- Torsten Landschoff <torsten@debian.org>  Sun,  5 Dec 1999 10:45:27 +0100

ifhp (3.3.10-2) unstable; urgency=low

  * Fixed parameters to install-info in postinst (closes: #50493).

 -- Torsten Landschoff <torsten@debian.org>  Thu, 18 Nov 1999 11:16:42 +0100

ifhp (3.3.10-1) unstable; urgency=low

  * Initial release.

 -- Torsten Landschoff <torsten@debian.org>  Tue, 16 Nov 1999 13:04:27 +0100
